<?php
function ValidateEmail($email)
{
   $pattern = '/^([0-9a-z]([-.\w]*[0-9a-z])*@(([0-9a-z])+([-\w]*[0-9a-z])*\.)+[a-z]{2,6})$/i';
   return preg_match($pattern, $email);
}
if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['formid']) && $_POST['formid'] == 'frm_contact-us')
{
   $mailto = 'info@jamshad.com';
   $mailfrom = isset($_POST['email']) ? $_POST['email'] : $mailto;
   $mailcc = 'sale@jamshad.com';
   $mailbcc = 'sales@jamshad.com';
   $subject = 'Contact Us:';
   $message = 'Values submitted from web site form:';
   $success_url = './Jamshad_ContactUs.php';
   $error_url = './Jamshad_ContactUs.php';
   $csvFile = "./formdata.csv";
   $error = '';
   $eol = "\n";
   $max_filesize = isset($_POST['filesize']) ? $_POST['filesize'] * 1024 : 1024000;
   $boundary = md5(uniqid(time()));
   $header  = 'From: '.$mailfrom.$eol;
   $header .= 'Reply-To: '.$mailfrom.$eol;
   $header .= 'Cc: '.$mailcc.$eol;
   $header .= 'Bcc: '.$mailbcc.$eol;
   $header .= 'MIME-Version: 1.0'.$eol;
   $header .= 'Content-Type: multipart/mixed; boundary="'.$boundary.'"'.$eol;
   $header .= 'X-Mailer: PHP v'.phpversion().$eol;
   if (!ValidateEmail($mailfrom))
   {
      $error .= "The specified email address is invalid!\n<br>";
   }
   if (!empty($error))
   {
      $errorcode = file_get_contents($error_url);
      $replace = "##error##";
      $errorcode = str_replace($replace, $error, $errorcode);
      echo $errorcode;
      exit;
   }
   $internalfields = array ("submit", "reset", "send", "filesize", "formid", "captcha_code", "recaptcha_challenge_field", "recaptcha_response_field", "g-recaptcha-response");
   $message .= $eol;
   $message .= "IP Address : ";
   $message .= $_SERVER['REMOTE_ADDR'];
   $message .= $eol;
   $logdata = '';
   foreach ($_POST as $key => $value)
   {
      if (!in_array(strtolower($key), $internalfields))
      {
         $logdata .= ',';
         if (!is_array($value))
         {
            $message .= ucwords(str_replace("_", " ", $key)) . " : " . $value . $eol;
            $value = str_replace(",", " ", $value);
            $logdata .= $value;
         }
         else
         {
            $message .= ucwords(str_replace("_", " ", $key)) . " : " . implode(",", $value) . $eol;
            $logdata .= implode("|", $value);
         }
      }
   }
   $logdata = str_replace("\r", "", $logdata);
   $logdata = str_replace("\n", " ", $logdata);
   $logdata .= "\r\n";
   $handle = fopen($csvFile, 'a') or die("can't open file");
   $logtime = date("Y-m-d H:i:s,");
   fwrite($handle, $logtime);
   fwrite($handle, $_SERVER['REMOTE_ADDR']);
   fwrite($handle, $logdata);
   fclose($handle);
   $body  = 'This is a multi-part message in MIME format.'.$eol.$eol;
   $body .= '--'.$boundary.$eol;
   $body .= 'Content-Type: text/plain; charset=UTF-8'.$eol;
   $body .= 'Content-Transfer-Encoding: 8bit'.$eol;
   $body .= $eol.stripslashes($message).$eol;
   if (!empty($_FILES))
   {
       foreach ($_FILES as $key => $value)
       {
          if ($_FILES[$key]['error'] == 0 && $_FILES[$key]['size'] <= $max_filesize)
          {
             $body .= '--'.$boundary.$eol;
             $body .= 'Content-Type: '.$_FILES[$key]['type'].'; name='.$_FILES[$key]['name'].$eol;
             $body .= 'Content-Transfer-Encoding: base64'.$eol;
             $body .= 'Content-Disposition: attachment; filename='.$_FILES[$key]['name'].$eol;
             $body .= $eol.chunk_split(base64_encode(file_get_contents($_FILES[$key]['tmp_name']))).$eol;
          }
      }
   }
   $body .= '--'.$boundary.'--'.$eol;
   if ($mailto != '')
   {
      mail($mailto, $subject, $body, $header);
   }
   header('Location: '.$success_url);
   exit;
}
?>
<!doctype html>
<html lang="fa" dir="rtl">
<head>
<meta http-equiv="X-UA-Compatible" content="chrome=1">
<meta charset="utf-8">
<title>Contact Us - ارتباط با ما</title>
<meta name="keywords" content="contact us,contact,ارتباط با ما">
<meta name="author" content="Jamshad Co.Ltd.">
<meta name="categories" content="Engineering,Software,Electronic,Designer,CNC Machines,Controller">
<meta name="robots" content="index, follow">
<meta name="revisit-after" content="180 days">
<meta name="generator" content="WYSIWYG Web Builder 11 Trial Version - http://www.wysiwygwebbuilder.com">
<link href="Jamshad.ico" rel="shortcut icon" type="image/x-icon">
<link href="flick/jquery-ui.min.css" rel="stylesheet">
<link href="Jamshad.css" rel="stylesheet">
<link href="Jamshad_ContactUs.css" rel="stylesheet">
<script src="jquery-1.12.4.min.js"></script>
<script src="jquery.ui.core.min.js"></script>
<script src="jquery.ui.widget.min.js"></script>
<script src="jquery.ui.mouse.min.js"></script>
<script src="jquery.ui.button.min.js"></script>
<script src="jquery.ui.draggable.min.js"></script>
<script src="jquery.ui.position.min.js"></script>
<script src="jquery.ui.resizable.min.js"></script>
<script src="jquery.ui.dialog.min.js"></script>
<script src="./searchindex.js"></script>
<script>   
   var features = '';
   var searchDatabase = new SearchDatabase();
   var searchResults_length = 0;
   var searchResults = new Object();
   function searchPage(features)
   {
      var element = document.getElementById('Master_SiteSearch1');
      if (element.value.length != 0 || element.value != " ")
      {
         var value = unescape(element.value);
         var keywords = value.split(" ");
         searchResults_length = 0;
         for (var i=0; i<database_length; i++)
         {
            var matches = 0;
            var words = searchDatabase[i].title + " " + searchDatabase[i].description + " " + searchDatabase[i].keywords;
            for (var j = 0; j < keywords.length; j++)
            {
               var pattern = new RegExp(keywords[j], "i");
               var result = words.search(pattern);
               if (result >= 0)
               {
                  matches++;
               }
               else
               {
                  matches = 0;
               }
            }
            if (matches == keywords.length)
            {
               searchResults[searchResults_length++] = searchDatabase[i];
            }
         }
         $('#Master_SiteSearch1_dialog').dialog('open');
         $('#Master_SiteSearch1_dialog').empty();
         var html = '';
         var results = '';
         html = html + '<span style="font-family:Myriad Pro Black;font-size:13px;color:#000000">';
         for (var n=0; n<searchResults_length; n++)
         {
            results = results + '<strong><a style="color:#0000FF" href="'+searchResults[n].url+'">'+searchResults[n].title +'<\/a><\/strong><br><br>';
         }
         if (searchResults_length == 0)
         {
            results = 'No results';
         }
         else
         {
            html = html + searchResults_length;
            html = html + ' result(s) : ';
            html = html + value;
            html = html + '<br><br>';
         }
         html = html + results;
         html = html + '<\/span>';
         $('#Master_SiteSearch1_dialog').html(html);
         $('#Master_SiteSearch1_dialog').dialog('option', 'position', 'center');
      }
      return false;
   }
   function searchParseURL()
   {
      var url = decodeURIComponent(window.location.href);
      if (url.indexOf('?') > 0)
      {
         var terms = '';
         var params = url.split('?');
         var values = params[1].split('&');
         for (var i=0;i<values.length;i++)
         {
            var param = values[i].split('=');
            if (param[0] == 'q')
            {
               terms = unescape(param[1]);
               break;
            }
         }
         if (terms != '')
         {
            var element = document.getElementById('Master_SiteSearch1');
            element.value = terms;
            searchPage('');
         }
      }
   }
</script>
<script>   
   $(document).ready(function()
   {
      searchParseURL();
      $("#Master_SiteSearch1_dialog").dialog(
      {
         modal: true,
         width: 400,
         height: 300,
         position: { my: 'center', at: 'center', of: window },
         resizable: true,
         draggable: true,
         closeOnEscape: true,
         autoOpen: false,
         buttons: 
         {
            Close: function() 
            {
               $(this).dialog('close');
            }
         }
      });
   });
</script>
<meta name="google-site-verification" content="iLFyiRUGpTj-ec8-VCvKxSh5vnXeB8V4NHru3Mt8d3U"/>
<meta name="title" content="Contact Us - ارتباط با ما">

</head>
<body>
   <div id="container">
      <div id="wb_MasterObjects1">
         <div id="wb_txt-8AStepDriver_">
            <span id="wb_uid0"><a href="./Product/BP8A_Step_motor_driver.html" title="درایور استپ 8 آمپری" class="Link-Bottom-of-Page">8Amp Step Driver </a></span></div>
         <div id="wb_txt-4AStepDriver_">
            <span id="wb_uid1"><a href="./Product/BP4A_Step_motor_driver.html" title="درایور استپ 4 آمپری" class="Link-Bottom-of-Page">4Amp Step Driver </a></span></div>
         <div id="wb_txt-2AStepDriver_">
            <span id="wb_uid2"><a href="./Product/BP2A_Step_motor_driver.html" title="درايور موتور استپ 2 آمپري" class="Link-Bottom-of-Page">2Amp Step Driver </a></span></div>
         <div id="wb_txt-350mALEDDriver_">
            <span id="wb_uid3"><a href="./Product/LED_Drivers_350mA.html" title="درایور ال ای دی 10 الی 28 وات 350 میلی آمپر" class="Link-Bottom-of-Page">350mA LED Driver</a></span><span id="wb_uid4"><a href="./Product/LED_Drivers_350mA.html" title="درایور ال ای دی 10 الی 28 وات 350 میلی آمپر" class="Link-Bottom-of-Page"> </a></span></div>
         <div id="wb_txt-Downloads">
            <span id="wb_uid5"><strong><a href="./Downloads.html" title="دانلودها" class="Link-Bottom-of-Page">Downloads</a></strong></span></div>
         <div id="wb_txt-Sakteman-Motor-Step">
            <span id="wb_uid6"><a href="./Publications/Fundamental_of_stepper_motorr.html" title="ساختمان موتور استپ" class="Link-Bottom-of-Page">Fundamental of Step Motors</a></span><span id="wb_uid7"> </span></div>
         <div id="wb_txt-Sitemap">
            <span id="wb_uid8"><strong><a href="./Sitemap.html" title="نقشه سایت" class="Link-Bottom-of-Page">Sitemap</a></strong></span></div>
         <div id="wb_txt_Programmer-ZSP-V5_">
            <span id="wb_uid9"><a href="./Product/ZIF_Socket_Programmer_V5.html" title="پروگرامر جمشاد ورژن 5" class="Link-Bottom-of-Page">Programmer ZSP-V5 </a></span></div>
         <div id="wb_txt-USBtoSerialConverter_">
            <span id="wb_uid10"><a href="./Product/JUSB2-BL-USB_Srial.html" title="مبدل یو اس بی به سریال" class="Link-Bottom-of-Page">USB to Serial Converter </a></span></div>
         <div id="wb_txt-Representions">
            <span id="wb_uid11"><strong><a href="./Jamshad_Reperesntation.html" title="نمایندگی های فروش" class="Link-Bottom-of-Page">Representions</a></strong></span></div>
         <div id="Master_F_Layer3">
         </div>
         <div id="wb_txt_Industrial-Products">
            <span id="wb_uid12"><strong>Industrial Products</strong></span></div>
         <div id="wb_txt_Programmers">
            <span id="wb_uid13"><strong>Programmers</strong></span></div>
         <div id="wb_txt_Publications">
            <span id="wb_uid14"><strong>Publications</strong></span></div>
         <div id="wb_txt_CNC-Machines">
            <span id="wb_uid15"><strong>CNC Machines</strong></span></div>
         <div id="wb_txt_A3Mill">
            <span id="wb_uid16"><a href="./Product/CNCA3Mill.html" title="سی ان سی مدل A3MILL" class="Link-Bottom-of-Page">A3MILL</a></span></div>
         <div id="wb_txt_Lighting-and-LED-Products">
            <span id="wb_uid17"><strong>Lighting and LED Products</strong></span></div>
         <div id="wb_txt_PCB-Modules">
            <span id="wb_uid18"><strong>PCB Modules</strong></span></div>
         <div id="wb_txt_M1265">
            <span id="wb_uid19"><a href="./Product/CNCM1265.html" title="سی ان سی مدل M1265" class="Link-Bottom-of-Page">M1265</a></span></div>
         <div id="wb_txt_ControllerV4.0">
            <span id="wb_uid20"><a href="./Product/CNCControllerV4.html" title="کنترلر سی ان سی ورژن 4" class="Link-Bottom-of-Page">Controller V4.0</a></span></div>
         <div id="wb_txt_CNC-Controllers">
            <span id="wb_uid21"><strong>CNC Controllers</strong></span></div>
         <div id="wb_txt_ControllerV2.0">
            <span id="wb_uid22"><a href="./Product/CNCControllerV5.html" title="کنترلر سی ان سی ورژن 5" class="Link-Bottom-of-Page">Controller V5.0</a></span></div>
         <div id="wb_txt_8Amp-Plus-Step-Driver">
            <span id="wb_uid23"><a href="./Product/BP8A_Plus_Step_motor_driver.html" title="درایور استپ 8 آمپری" class="Link-Bottom-of-Page">8Amp Plus Step Driver</a></span></div>
         <div id="wb_txt_A2Power">
            <span id="wb_uid24"><a href="./Product/CNCA2Power.html" title="سی ان سی مدل A2Power" class="Link-Bottom-of-Page">A2Power</a></span></div>
         <div id="wb_txt_MACH3_KCAM">
            <span id="wb_uid25"><a href="./Product/MACH3_KCAM.html" title="کنترلر سی ان سی MACH3\KCAM" class="Link-Bottom-of-Page">MACH3 \ KCAM</a>&nbsp; </span></div>
         <div id="wb_Master_txt_Zigbee">
            <span id="wb_uid26"><a href="./Publications/Zigbee.html" title="زیگ بی" class="Link-Bottom-of-Page">Zigbee</a></span></div>
         <div id="wb_Master_txt_H1">
            <h1>Jamshad Co.Ltd.</h1></div>
         <div id="wb_Master_txt_ParallelPort">
            <span id="wb_uid27"><a href="./Publications/ParallelPort.html" title="پورت پارالل" class="Link-Bottom-of-Page">Parallel Port</a></span></div>
      </div>
      <div id="wb_Frm_Contact-Us">
         <form name="Contact_Us" method="post" action="<?php echo basename(__FILE__); ?>" enctype="multipart/form-data" accept-charset="UTF-8" target="_blank" id="Frm_Contact-Us">
            <input type="hidden" name="formid" value="frm_contact-us">
            <div id="wb_txt_Name">
               <span id="wb_uid28"><strong>: Name</strong></span></div>
            <input type="text" id="Editbox1" name="name" value="" maxlength="40" autocomplete="off">
            <div id="wb_txt_Phone">
               <span id="wb_uid29"><strong>: Phone</strong></span></div>
            <input type="text" id="Editbox2" name="phone" value="" maxlength="15">
            <div id="wb_txt_Email">
               <span id="wb_uid30"><strong>: Email</strong></span></div>
            <input type="text" id="Editbox3" name="email" value="" maxlength="30">
            <input type="submit" id="Button1" name="" value="Send">
            <input type="reset" id="Button2" name="" value="Reset">
            <div id="wb_txt_Message">
               <span id="wb_uid31"><strong>: Message</strong></span></div>
            <textarea name="TextArea1" id="TextArea1" rows="16" cols="48"></textarea>
         </form>
      </div>
      <div id="wb_IMG_Contact-Us">
         <img src="images/Contact_Us.jpg" id="IMG_Contact-Us" alt="Jamshad_Contact_Us">
      </div>
      <div id="wb_txt_Up" dir="rtl">
         <span id="wb_uid32">ایران - خراسان رضوی - مشهد<br><br>کوی دکترا - خیابان دانشسرا جنوبی <br><br>دانشسرای جنوبی یک - ساختمان آریان<br><br>طبقه سوم - واحد چهار</span>
      </div>
      <div id="wb_txt_down">
         <span id="wb_uid33"><strong>Tel :&nbsp; (51) 3848 2750<br>Fax : (51) 3848 2751<br>Email : <a href="mailto:info@jamshad.com">info@jamshad.com</a></strong></span>
      </div>
      <div id="wb_txt_HCH1">
         <h1>How to Contact us:</h1>
      </div>
   </div>
   <div id="Master_Layer1">
      <div id="Master_Layer1_Container">
         <div id="wb_Master_IMG_LOGO">
            <a href="./index.html"><img src="images/img0002.png" id="Master_IMG_LOGO" alt="Jamshad_Logo"></a></div>
         <div id="wb_Master_TextMenu1">
            <span><a href="./Products.html" class="Menu" title="&#1605;&#1581;&#1589;&#1608;&#1604;&#1575;&#1578;">Product</a></span><span><a href="./CNC_Machines.html" class="Menu" title="&#1605;&#1575;&#1588;&#1740;&#1606; &#1607;&#1575;&#1740; &#1587;&#1740; &#1575;&#1606; &#1587;&#1740;">CNC Machines</a></span><span><a href="./CNC_Controllers.html" class="Menu" title="&#1705;&#1606;&#1578;&#1585;&#1604;&#1585;&#1607;&#1575;&#1740; &#1587;&#1740; &#1575;&#1606; &#1587;&#1740;">CNC Controllers</a></span><span><a href="./Stepper_Drivers.html" class="Menu" title="&#1583;&#1585;&#1575;&#1740;&#1608;&#1585;&#1607;&#1575;&#1740; &#1575;&#1587;&#1578;&#1662;">Stepper Drivers</a></span><span><a href="./Service.html" class="Menu" title="&#1582;&#1583;&#1605;&#1575;&#1578; &#1662;&#1588;&#1578;&#1740;&#1576;&#1575;&#1606;&#1740;">Service</a></span><span><a href="./Jamshad_Reperesntation.html" class="Menu" title="&#1606;&#1605;&#1575;&#1740;&#1606;&#1583;&#1711;&#1740; &#1607;&#1575;&#1740; &#1601;&#1585;&#1608;&#1588;">Representation</a></span></div>
         <form name="Master_SiteSearch1_form" id="Master_SiteSearch1_form" accept-charset="UTF-8" onsubmit="return searchPage(features)">
            <input type="text" id="Master_SiteSearch1" name="SiteSearch1" value="" placeholder="Google Search"></form>
         <div id="Master_SiteSearch1_dialog" title="Search results"></div>
         <div id="wb_IMG_TEL">
            <img src="images/Tel01.png" id="IMG_TEL" alt="Jamshad_Phon"></div>
         <div id="wb_Master_TextMenu2">
            <span><a href="./Jamshad_ContactUs.php" class="Menu_Right">051-38482750</a></span></div>
         <input type="button" id="Master_Button1" onclick="searchPage();return false;" name="Search" value="Search">
         <div id="wb_Master_HeaderImage1">
            <a href="./Jamshad_ContactUs.php"><img src="images/mail_envelope.png" id="Master_HeaderImage1" alt="JAmshad_Email_Envelope" title="&#1575;&#1585;&#1578;&#1576;&#1575;&#1591; &#1576;&#1575; &#1605;&#1575;"></a></div>
         <div id="wb_Master_HeaderImage2">
            <a href="./Downloads.html"><img src="images/Download_icon.png" id="Master_HeaderImage2" alt="Downloads" title="&#1583;&#1575;&#1606;&#1604;&#1608;&#1583;"></a></div>
      </div>
   </div>
   <div id="Layer_Down">
      <div id="Layer_Down_Container">
      </div>
   </div>
   <div id="Jamshad_ContactUsLayer1">
      <div id="Jamshad_ContactUsLayer1_Container">
         <div id="wb_txt_Nav_CU">
            <span id="wb_uid34"><a href="./index.html" class="Navigator">Home</a> | <a href="./Service.html" class="Navigator">Service</a> | Contact Us</span></div>
      </div>
   </div>
   <script>   
   var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
   document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
   </script>
   <script>   
   try {
   var pageTracker = _gat._getTracker("UA-10293849-1");
   pageTracker._trackPageview();
   } catch(err) {}
   </script></body>
</html>